Cannot use LDAP accounts on armel build; has incorrect symlink or /lib/nss_ldap.so incorrectly supplied

Bug #387576 reported by Jka on 2009-06-16
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
nss_ldap
Fix Released
Medium
libnss-ldap (Debian)
Fix Released
Unknown
libnss-ldap (Ubuntu)
Low
Loïc Minier

Bug Description

Binary package hint: libnss-ldap

This is a report and manual work around:

Installed info:
Jaunty on an NSLU2 ARM
Description: Ubuntu 9.04
Release: 9.04
2.6.28-11-ixp4xx armv5tel

Package:
ii libnss-ldap 261-2.1ubuntu1 NSS module for using LDAP as a naming service

Looks like the build for the armel (NSLU2 specifically) provides an incomplete symlink'd or unfinished build which doesn't allow LDAP user accounts to operate locally. A Ubuntu Jaunty i686 client with libnss_ldap installed and configured to use the NSLU2 servers works ok, but other remote NSLU2 don't.

All 'getent passwd' operation executed on NSLU2 (local or remote) only list local accounts. Jaunty i686 to NSLU2 'getent passwd' works.

Found on NSLU2 that a library symlink in /usr/lib/libnss_ldap.so referenced a non-existant /lib/libnss_ldap.so.2

lrwxrwxrwx root/root 0 2008-11-19 08:32 ./usr/lib/libnss_ldap.so -> /lib/libnss_ldap.so.2
root@J-SLUG00:/lib# find /lib/*nss*ldap* -ls
382776 0 lrwxrwxrwx 1 root root 13 Jun 12 15:54 /lib/nss_ldap.so -> nss_ldap.so.1
382775 80 -rw-r--r-- 1 root root 76028 Nov 19 2008 /lib/nss_ldap.so.1
root@J-SLUG00:/lib#

There exists a file called /lib/nss_ldap.so.1, compared the entry points with a Jaunty i686 build libnss_ldap.so.2 and they match.

Manual installed workaround solution:

  Create a symlink for libnss_ldap.so.2 -> nss_ldap.so.1 in /lib

root@J-SLUG00:/ # getent passwd | grep john
root@J-SLUG00:/ # cd /lib
root@J-SLUG00:/lib#
root@J-SLUG00:/lib# ln -s nss_ldap.so libnss_ldap.so.2
root@J-SLUG00:/lib# getent passwd | grep john
john:x:1000:10000:John Doe:/home/john:/bin/bash
root@J-SLUG00:/lib#

Build logfile for ARM shows the build kit problem:

drwxr-xr-x root/root 0 2008-11-19 08:32 ./lib/
-rw-r--r-- root/root 76028 2008-11-19 08:31 ./lib/nss_ldap.so.1
lrwxrwxrwx root/root 0 2008-11-19 08:32 ./usr/lib/libnss_ldap.so -> /lib/libnss_ldap.so.2
lrwxrwxrwx root/root 0 2008-11-19 08:32 ./lib/nss_ldap.so -> nss_ldap.so.1

Related branches

Jka (jka-pub) wrote :

Also been reported as:

libnss-ldap doesn't query LDAP server for users and groups
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511750

Changed in libnss-ldap (Ubuntu):
status: New → Confirmed
Paul Larson (pwlars) on 2009-06-19
tags: added: armel
Changed in libnss-ldap (Ubuntu):
importance: Undecided → Low
status: Confirmed → Triaged
Changed in debian:
status: Unknown → New
Loïc Minier (lool) on 2009-09-08
affects: debian → libnss-ldap (Debian)
Loïc Minier (lool) on 2009-09-08
Changed in libnss-ldap (Ubuntu):
assignee: nobody → Loïc Minier (lool)
status: Triaged → In Progress
Changed in nss-ldap:
status: Unknown → Confirmed
Loïc Minier (lool) on 2009-09-08
Changed in libnss-ldap (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnss-ldap - 261-2.1ubuntu3

---------------
libnss-ldap (261-2.1ubuntu3) karmic; urgency=low

  * New patch, 60_fix-glibc-test-for-armel-gnueabi, allow linux-gnueabi as a
    valid GLIBC OS name; LP: #387576. Also add patch 90_autoreconf to update
    autotools files.

 -- Loic Minier <email address hidden> Tue, 08 Sep 2009 12:58:31 +0200

Changed in libnss-ldap (Ubuntu):
status: Fix Committed → Fix Released
Changed in libnss-ldap (Debian):
status: New → Confirmed
Changed in nss-ldap:
status: Confirmed → Fix Released
BernardB (b-launchpad) wrote :

This bug does not seem to be resolved in 10.10.

I had to add "60_fix-glibc-test-for-armel-gnueabi.patch" into debian/patches/series and rebuild the package.

BernardB (b-launchpad) wrote :

More specifically, this exists in libnss-ldap 264-2ubuntu2 from Maverick in ubuntu-ports.
Patch attached. This package is broken on ARM without it.

Changed in nss-ldap:
importance: Unknown → Medium
Changed in libnss-ldap (Debian):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.